Package org.eclipse.jface.text

## Interface IEditingSupportRegistry

All Known Implementing Classes:
  `ProjectionViewer`, `SourceViewer`, `TextConsoleViewer`, `TextViewer`

    public interface IEditingSupportRegistry

A registry for `IEditingSupport`s.

This interface is not meant to be implemented outside the JFace text framework.

Since:
  3.1
See Also:
  `IEditingSupport`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IEditingSupport[]` `getRegisteredSupports()` Returns the current editor helpers.
`void` `register​(IEditingSupport support)` Register a support with the registry.
`void` `unregister​(IEditingSupport support)` Deregister a support with the registry.

### Method Detail

#### register

    void register​(IEditingSupport support)

Register a support with the registry. If the support is already registered, nothing happens.

Parameters:
  `support` - an editor support

#### unregister

    void unregister​(IEditingSupport support)

Deregister a support with the registry. If the support is not registered, or `support` is `null`, nothing happens.

Parameters:
  `support` - the helper to deregister, or `null`

#### getRegisteredSupports

    IEditingSupport[] getRegisteredSupports()

Returns the current editor helpers.

Returns:
  an non- `null` array of currently registered editor helpers